/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_general_styling.scss';
@import 'css/_variables.scss';
@import 'css/mixins/_fonts.scss';

.o-previewProject {
  &__alert {
    flex: 1;
  }
  &__title {
    margin-bottom: 2rem;
    h1 {
      font-size: 2rem;
      font-weight: 500;
    }
  }
  &__content {
    display: flex;
    flex-wrap: wrap;
    column-gap: 2.1875rem;
  }
  &__buttons__container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    overflow: auto;
    width: 100%;
    @include breakpoint(xl) {
      display: block;
    }
  }
  &__buttons {
    overflow: auto;
    display: flex;
    column-gap: 0.9375rem;
    padding-block: 0.5rem;
    row-gap: 0.9375rem;
    flex-grow: 1;

    @include breakpoint(sm) {
      flex-wrap: wrap;
    }
    &__button {
      display: flex;
      column-gap: 0.625rem;
      border: none;
      background: $coa-light-sky-blue-100;
      @include primary-text(1.25rem, $coa-dark-gray-100, 500);
      box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.25);
    }

    &__button,
    &__buttonContainer {
      @include breakpoint(sm) {
        width: 100%;
        display: flex;
        justify-content: center;
      }
    }

    &__requestChanges {
      @include breakpoint(xl) {
        margin-top: 1rem;
      }
    }
  }
  &__infoSection {
    width: 100%;
  }
  &__members {
    width: 100%;

    &__container {
      display: grid;
      grid-template-columns: 32% 32% 32%;
      column-gap: 2%;
      row-gap: 1rem;

      @include breakpoint(lg) {
        grid-template-columns: 49% 49%;
      }

      @include breakpoint(md) {
        grid-template-columns: 100%;
      }
    }
  }
  &__progressSection {
    width: 100%;

    &__cards {
      display: flex;
      flex-direction: row;
      gap: 1.5625rem;
      justify-content: space-between;
      @include breakpoint(md) {
        flex-direction: column;
      }
    }
  }
  &__milestonesSection {
    width: 100%;
    &__milestones {
      display: flex;
      flex-direction: column;
      row-gap: 2.1875rem;
    }
  }
  &__changelogSection {
    width: 100%;
  }
  &__cashFlowSection {
    width: 100%;
  }

  @include respond(mobile) {
    &__content {
      row-gap: 2.5rem;
      max-width: 100%;
    }
  }
  @include respond(tablet) {
    &__content {
      row-gap: 2.9375rem;
    }
  }
  @include respond(laptop) {
    &__content {
      row-gap: 3.125rem;
    }
  }
}
